#!/usr/bin/ruby

require_relative '../lib/flicks/movie'
require_relative '../lib/flicks/playlist'
require_relative '../lib/flicks/movie3d'

playlist = Flicks::Playlist.new("Kermit")
default_movie_file =
  File.join(File.dirname(__FILE__), 'movies.csv')
playlist.load(ARGV.shift || default_movie_file)
movie3d = Flicks::Movie3D.new('glee', 5, 20)
playlist.add_movie(movie3d)

loop do
  puts "\nHow many viewings? ('quit' to exit)"
  answer = gets.chomp.downcase
    case answer
    when /^\d+$/
      playlist.play(answer.to_i)
    when 'quit', 'exit'
      playlist.print_stats
      break
    else
      puts "Please enter a number or 'quit'"
    end
end

playlist.save

# #Playlist 2
# playlist2 = Playlist.new("Fozzie")
# playlist2.add_movie(movie3)
# movie4 = Movie.new("gremlins", 15)
# playlist2.add_movie(movie4)
# loop do
# puts "\nHow many viewings?"
# answer = gets.chomp
# puts "\nEnjoy your #{answer} viewings!"
# playlist2.play(answer.to_i)
# end
# playlist2.print_stats
